# Red2D Game Engine

Red2D is a simple, easy-to-use 2D game engine written in Python. It is designed to help both beginner and intermediate developers create 2D games with minimal setup. The engine is lightweight and focused on ease of use, making it perfect for prototyping, learning, or building your next 2D game project.

# Installer
If you don't want to have to install the package from here, you can download the exe from [here](https://github.com/Swyftl/Red2D_Installer)

This will have updates later on when multi files are implemented correctly, and it will generate the correct files for you to use in the project.

## Features

- [X] Shape Rendering

- [X] Input Management

- [X] Text Rendering

- [ ] Scene Rendering

- [ ] Audio


## Installation

To get started with Red2D, you need Python 3.6+ installed on your machine. You can install Red2D via pip:

```bash
pip install red2d

Alternatively, you can clone the repository and install it manually:

git clone https://github.com/yourusername/red2d.git
cd red2d
pip install .
```
## Contributing

We welcome contributions! If you'd like to contribute to Red2D, please follow these steps:

    Fork the repository
    Create a new branch (git checkout -b feature-xyz)
    Make your changes and commit them (git commit -am 'Add feature xyz')
    Push to the branch (git push origin feature-xyz)
    Create a new pull request

Red2D is released under the MIT License.
Acknowledgments

    Red2D uses pygame for rendering and the keyboard and mouse libraries for the input management.

For any questions or support, feel free to open an issue or contact the maintainers.
